MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031799Open CASCADE[OCCT] OCCT:Configurationpublic2020-09-27 19:462020-10-03 14:39
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031799: Configuration - compilation errors with Android NDK r12
DescriptionThere is a couple of compilation errors when using Android NDK r12 since #0028089.
from occt.git\src\Standard\Standard_Strtod.cxx:32:
occt.git/src/Standard/Standard_CString.hxx:95:71: error: 'va_list' has not been declared
 Standard_EXPORT int Vsprintf (char* theBuffer, const char* theFormat, va_list theArgList);
...
occt.git\src\BRepMesh\delabella.cpp:30:20: fatal error: search.h: No such file or directory
 #include <search.h>
                    ^
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0095426)
git (administrator)
2020-09-27 19:48

Branch CR31799 has been created by kgv.

SHA-1: ddec112225aab75705499810dba536e352e98634


Detailed log of new commits:

Author: kgv
Date: Sun Sep 27 19:51:56 2020 +0300

    0031799: Configuration - compilation errors with Android NDK r12
    
    Added missing <stdarg.h> include (va_list) to Standard_CString.hxx.
    Do not include <search.h> in delabella.cpp when using gcc 4.9 from Android NDK.
(0095433)
kgv (developer)
2020-09-28 09:50

Please raise the patch
- OCCT branch: CR31799.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31799-master-KGV/view/OCCT%20compile/ [^]
(0095624)
bugmaster (administrator)
2020-10-03 14:03

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095662)
git (administrator)
2020-10-03 14:39

Branch CR31799 has been deleted by inv.

SHA-1: ddec112225aab75705499810dba536e352e98634

- Related Changesets
occt: master 42624fdc
Timestamp: 2020-09-27 16:51:56
Author: abv
Committer: abv
Details ] Diff ]
0031799: Configuration - compilation errors with Android NDK r12

Added missing <stdarg.h> include (va_list) to Standard_CString.hxx.
Do not include <search.h> in delabella.cpp when using gcc 4.9 from Android NDK.
mod - src/BRepMesh/delabella.cpp Diff ] File ]
mod - src/Standard/Standard_CString.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-27 19:46 kgv New Issue
2020-09-27 19:46 kgv Assigned To => bugmaster
2020-09-27 19:46 kgv Relationship added child of 0028089
2020-09-27 19:46 kgv Description Updated View Revisions
2020-09-27 19:48 git Note Added: 0095426
2020-09-27 19:50 kgv Description Updated View Revisions
2020-09-28 09:50 kgv Note Added: 0095433
2020-09-28 09:50 kgv Status new => resolved
2020-09-28 09:50 kgv Status resolved => reviewed
2020-10-03 12:52 bugmaster Test case number => Not required
2020-10-03 14:03 bugmaster Note Added: 0095624
2020-10-03 14:03 bugmaster Status reviewed => tested
2020-10-03 14:05 abv Changeset attached => occt master 42624fdc
2020-10-03 14:05 abv Assigned To bugmaster => abv
2020-10-03 14:05 abv Status tested => verified
2020-10-03 14:05 abv Resolution open => fixed
2020-10-03 14:39 git Note Added: 0095662


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker